%define _disable_libtoolize 1

Summary:	An ICAP module server coded in C
Name:		c-icap-modules-extra
Epoch:		1
Version:	0.5.7
Release:	%mkrel 1
License:	GPLv2
Group:		System/Servers
URL:		https://sourceforge.net/projects/c-icap/
Source0:	https://prdownloads.sourceforge.net/c-icap/c_icap_modules-%{version}.tar.gz
BuildRequires:	pkgconfig(libclamav)
BuildRequires:  c-icap-devel
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  dos2unix
BuildRequires:	db-devel 
BuildRequires:	tommath-devel
Requires:	c-icap-server

%description
An ICAP modules server coded in C


%prep
%setup -q -n c_icap_modules-%{version}

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
# find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | xargs dos2unix -U

chmod 644 AUTHORS COPYING 

%build
autoreconf -vfi

export LIBS="-lpthread -ldl"

%configure \
    --disable-static \
    --enable-shared \
    --with-clamav=%{_prefix} \
    --with-c-icap=%{_prefix} \
    --with-bdb

perl -pi -e 's|(srv_clamav_la_LIBADD =  -L)/usr/lib|$1%{_libdir}|;'    \
        services/clamav/Makefile

%make_build

%install
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/icapd
%make_install CONFIGDIR=/etc/icapd

%files 
%doc AUTHORS COPYING 
%dir %{_libdir}/c_icap
%dir %{_sysconfdir}/icapd
%attr(0755,root,root) %{_libdir}/c_icap/*.so
%config(noreplace) %{_sysconfdir}/icapd/virus_scan.conf
%config(noreplace) %{_sysconfdir}/icapd/srv_url_check.conf
%config(noreplace) %{_sysconfdir}/icapd/clamav_mod.conf
%config(noreplace) %{_sysconfdir}/icapd/clamav_mod.conf.default
%config(noreplace) %{_sysconfdir}/icapd/clamd_mod.conf
%config(noreplace) %{_sysconfdir}/icapd/clamd_mod.conf.default
%config(noreplace) %{_sysconfdir}/icapd/srv_content_filtering.conf.default
%{_sysconfdir}/icapd/srv_url_check.conf.default
%{_sysconfdir}/icapd/virus_scan.conf.default
%{_bindir}/c-icap-mods-sguardDB
%{_datadir}/c_icap/templates/srv_url_check/en/*
%{_datadir}/c_icap/templates/virus_scan/en/*
%{_datadir}/c_icap/templates/srv_content_filtering/en/*
%{_mandir}/man8/c-icap-mods-sguardDB.8*


%changelog
* Sat Jul 27 2024 daviddavid <daviddavid> 1:0.5.7-1.mga10
+ Revision: 2082686
- new version: 0.5.7

* Thu Jan 12 2023 ns80 <ns80> 1:0.5.4-3.mga9
+ Revision: 1932517
- rebuild for new libclamav (mga#31394)

* Sat Apr 02 2022 umeabot <umeabot> 1:0.5.4-2.mga9
+ Revision: 1840834
- Mageia 9 Mass Rebuild

* Sat Apr 18 2020 danf <danf> 1:0.5.4-1.mga8
+ Revision: 1569250
- Update to ver. 0.5.4
- Switch URLs from http: to https:

* Mon Feb 17 2020 umeabot <umeabot> 1:0.5.3-2.mga8
+ Revision: 1537753
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Nov 08 2019 ns80 <ns80> 1:0.5.3-1.mga8
+ Revision: 1458759
- new version 0.5.3
- rebuild because major number of libclamav bump to 9

* Sun Sep 23 2018 pterjan <pterjan> 1:0.5.2-1.mga7
+ Revision: 1297255
- Update to 0.5.2

* Sat Sep 22 2018 umeabot <umeabot> 1:0.4.2-2.mga7
+ Revision: 1295814
- Mageia 7 Mass Rebuild

* Mon Jan 18 2016 dlucio <dlucio> 1:0.4.2-1.mga6
+ Revision: 925244
- 0.4.2
- no sed needed anymore
- fixed FL
+ luigiwalser <luigiwalser>
- restore c-icap-modules-extra in SVN (packages never removed from repo)
+ sander85 <sander85>
- Depends on c-icap that was dropped (unfixed security issues)

* Wed Oct 15 2014 umeabot <umeabot> 1:0.3.2-4.mga5
+ Revision: 748213
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1:0.3.2-3.mga5
+ Revision: 693551
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1:0.3.2-2.mga5
+ Revision: 678272
- Mageia 5 Mass Rebuild

* Fri May 16 2014 dlucio <dlucio> 1:0.3.2-1.mga5
+ Revision: 623083
- 0.3.2
- filelist fixes

* Mon Oct 21 2013 umeabot <umeabot> 1:0.2.5-2.mga4
+ Revision: 539297
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 dlucio <dlucio> 1:0.2.5-1.mga4
+ Revision: 491887
- 0.2.5

* Sun Sep 29 2013 dlucio <dlucio> 1:0.2.4-3.mga4
+ Revision: 488763
- rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:0.2.4-2.mga3
+ Revision: 347283
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 dlucio <dlucio> 1:0.2.4-1.mga3
+ Revision: 337645
- 0.2.4
- P0 merged upstream

* Mon Dec 31 2012 wally <wally> 1:0.2.1-2.mga3
+ Revision: 336540
- fix build with new automake 1.13

* Sun Sep 09 2012 dlucio <dlucio> 1:0.2.1-1.mga3
+ Revision: 291320
- 0.2.1

* Tue Jul 31 2012 fwang <fwang> 1:0.1.6-6.mga3
+ Revision: 276429
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 1:0.1.6-5.mga3
+ Revision: 274880
- recognize db5

* Tue Mar 27 2012 dlucio <dlucio> 1:0.1.6-5.mga2
+ Revision: 227168
- bump release
- lets take off db5 specific require, now system choose
- not using dos2unix by now
- compillling agains new clamav
- thomath to BR
- 0.1.6
  some specs to keep compatibility between mandriva and mageia

* Tue Apr 19 2011 pterjan <pterjan> 1:0.1.5-1.mga1
+ Revision: 88083
- Update to 0.1.5

* Thu Mar 03 2011 ennael <ennael> 1:0.1.3-1.mga1
+ Revision: 63788
- clean spec file
+ dlucio <dlucio>
- imported package c-icap-modules-extra


* Sun Dec 26 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1:0.1.3-1mdv2011.0
+ Revision: 625257
- 0.1.3
  Lest upse current automake,autoconf not the 1.7

* Sat Oct 16 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1:0.1.2-1mdv2011.0
+ Revision: 585950
- 0.1.2

* Sat Jul 24 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1:0.1.1-3mdv2011.0
+ Revision: 557343
- perl rebuild

* Sun Jul 04 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1:0.1.1-2mdv2011.0
+ Revision: 549779
- bumprelease

* Sat Jul 03 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1:0.1.1-1mdv2010.1
+ Revision: 549767
- 0.1.1

* Fri Apr 30 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1:0.1.1-0.pre2.2mdv2010.1
+ Revision: 541151
- We move all configuration into /etc/icapd

* Thu Apr 29 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1:0.1.1-0.pre2.1mdv2010.1
+ Revision: 540862
- New pre2

* Thu Apr 29 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1:0.1.1-0.pre1.1mdv2010.1
+ Revision: 540725
- import c-icap-modules-extra


* Wed Apr 28 2010 Luis Daniel Lucio Quiroz <dlucio@okay.com.mx>  1:0.1.1-0.pre1.1mdv2010.1
- Import

